org.eclipse.ease.lang.python.debugger

## Class PythonBreakpoint

- java.lang.Object
- - org.eclipse.ease.lang.python.debugger.PythonBreakpoint

    public class PythonBreakpoint
    extends java.lang.Object

Helper class to have simpler data exchange format between EASE breakpoint information and Python counterpart. FIXME: Could reuse functionality from org.python.pydev.debug.model.PyBreakpoint.

### Constructor Summary

Constructors
Constructor and Description
`PythonBreakpoint(java.lang.String filename, int lineno)` Constructor only stores parameters to members.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getFilename()` Returns the filename for the breakpoint.
`int` `getLineno()` Returns the line number for the breakpoint.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PythonBreakpoint

    public PythonBreakpoint(java.lang.String filename,
                            int lineno)

Constructor only stores parameters to members.

Parameters:
  `filename` - Filename for the breakpoint.
  `lineno` - Linenumber for the breakpoint.

### Method Detail

#### getFilename

    public java.lang.String getFilename()

Returns the filename for the breakpoint.

Returns:
  breakpoint's filename.

#### getLineno

    public int getLineno()

Returns the line number for the breakpoint.

Returns:
  breakpoint's line number.